Foxit PDF SDK

Instance Methods | List of all members
FSFillSign Class Reference

No popup menu item.
More...

Inheritance diagram for FSFillSign:

## Instance Methods
(FSFillSignObject *) | - addObject:point:width:height:rotation:
| Add a new fill-sign object (except text fill-sign object) to related PDF page (which is used in constructor). More...
(FSFillSignObject *) | - addTextObject:point:width:height:rotation:is_comb_field_mode:
| Add a new text fill-sign object to related PDF page (which is used in constructor). More...
(FSFillSignObject *) | - getObjectAtDevicePoint:matrix:
| Get a fill-sign object by specified point in device coordinate system. More...
(FSFillSignObject *) | - getObjectAtPoint:
| Get a fill-sign object by specified point in PDF coordinate system. More...
(id) | - initWithOther:
| Constructor, with another FSFillSign object. More...
(id) | - initWithPage:
| Constructor, from a PDF page object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(BOOL) | - removeObject:
| Remove a specified fill-sign object. More...

## Detailed Description

No popup menu item.

Popup menu item: "Cut".

Popup menu item: "Copy".

Popup menu item: "Paste".

Popup menu item: "Delete".

Popup menu item: "Select All".

Fill-sign means to fill some graphics objects to PDF page and sign them. This class is used as a manager for fill-sign objects. User can use this class to add/get/remove fill-sign objects (including cross mark, check mark, dot, line, round rectangle, signature and initials signature) to PDF page.

## Method Documentation

## ◆ addObject:point:width:height:rotation:()

- (FSFillSignObject *) addObject: |  | (FSFillSignFillSignObjectType) | type
point: |  | (FSPointF*) | point
width: |  | (float) | width
height: |  | (float) | height
rotation: |  | (FSRotation) | rotation

Add a new fill-sign object (except text fill-sign object) to related PDF page (which is used in constructor).

This function can be used to add fill-sign object except type FSFillSignFillSignObjectTypeText. If you want to add a fill-sign object with type FSFillSignFillSignObjectTypeText, please call function FSFillSign::addTextObject:point:width:height:rotation:is_comb_field_mode: instead.

- If to add a fill-sign object with type FSFillSignFillSignObjectTypeCrossMark, FSFillSignFillSignObjectTypeCheckMark, FSFillSignFillSignObjectTypeLine or FSFillSignFillSignObjectTypeDot, the bigger value of input width and height will be used as both width and height for the new fill-sign object.
- If to add a fill-sign object with type FSFillSignFillSignObjectTypeLine, input height is useless and will be ignored.

Parameters

  [in] | type | Fill-sign type which is used to specify what kind of fill-sign object is to be added. Please refer to values starting from FSFillSignFillSignObjectTypeCrossMark and this should be one of these values.
  [in] | point | Left-bottom point for new fill-sign object, in PDF coordinate system.
  [in] | width | Width for new fill-sign object.
  [in] | height | Height for new fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from FSRotation0 and this should be one of these values except FSRotationUnknown.

Returns
  A new fill-sign object.

## ◆ addTextObject:point:width:height:rotation:is_comb_field_mode:()

- (FSFillSignObject *) addTextObject: |  | (FSTextFillSignObjectDataArray*) | text_data
point: |  | (FSPointF*) | point
width: |  | (float) | width
height: |  | (float) | height
rotation: |  | (FSRotation) | rotation
is_comb_field_mode: |  | (BOOL) | is_comb_field_mode

Add a new text fill-sign object to related PDF page (which is used in constructor).

Parameters

  [in] | text_data | A text data array to be set to new text fill-sign object. For each text fill-sign object data, origin_position of member text_state will not be used.
  [in] | point | Left-bottom point for new fill-sign object, in PDF coordinate system.
  [in] | width | Width for new fill-sign object.
  [in] | height | Height for new fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from FSRotation0 and this should be one of these values except FSRotationUnknown.
  [in] | is_comb_field_mode | A boolean value to decide whether for comb field mode or normal mode: YES means to set input text data in comb field mode. For each text fill-sign object data, if charspace of member text_state is 0, default value 6.0f will be used instead. NO means to set input text data in normal mode. For each text fill-sign object data, charspace of member text_state will not be used.

Returns
  A new fill-sign object.

## ◆ getObjectAtDevicePoint:matrix:()

- (FSFillSignObject *) getObjectAtDevicePoint: |  | (FSPointF*) | point
matrix: |  | (FSMatrix2D*) | matrix

Get a fill-sign object by specified point in device coordinate system.

After adding the fill-sign object with type FSFillSignFillSignObjectTypeSignature or FSFillSignFillSignObjectTypeInitialsSignature,all the existed fill-sign objects which belong to the same PDF document cannot be retrieved.

Parameters

  [in] | point | A specified point in device coordinate system.
  [in] | matrix | A transform matrix from device coordinate system to PDF coordinate system.

Returns
  A fill-sign object.

## ◆ getObjectAtPoint:()

- (FSFillSignObject *) getObjectAtPoint: |  | (FSPointF*) | point |

Get a fill-sign object by specified point in PDF coordinate system.

After adding a fill-sign object with type FSFillSignFillSignObjectTypeSignature or FSFillSignFillSignObjectTypeInitialsSignature, all the existed fill-sign objects which belong to the same PDF document cannot be retrieved.

Parameters

  [in] | point | A specified point in PDF coordinate system.

Returns
  A fill-sign object.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSFillSign*) | other |

Constructor, with another FSFillSign object.

Parameters

  [in] | other | Another object.

## ◆ initWithPage:()

- (id) initWithPage: |  | (FSPDFPage*) | page |

Constructor, from a PDF page object.

Please ensure input PDF page has been parsed successfully.

Parameters

  [in] | page | A valid PDF page object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ removeObject:()

- (BOOL) removeObject: |  | (FSFillSignObject*) | fillsign_object |

Remove a specified fill-sign object.

After adding a fill-sign object with type FSFillSignFillSignObjectTypeSignature or FSFillSignFillSignObjectTypeInitialsSignature, all the existed fill-sign objects which belong to the same PDF document cannot be removed. For this case, this function will return NO if any existed fill-sign object is to be removed.

Parameters

  [in] | fillsign_object | A fill-sign object to be removed.

Returns
  YES means success, while NO means failed.